import request from '../request'

const exam = {
	//获取顺序练习分类
	studentQuestionInfoSelectSxQuestionInfo(params) {
		return request({
			url: 'student/question/info/selectSxQuestionInfo',
			method: 'get',
			params
		})
	},
	//获取分类专题分类
	studentQuestionInfoSelectFlQuestionInfo(params) {
		return request({
			url: "student/question/info/selectFlQuestionInfo",
			method: 'get',
			params
		})
	},
	//获取地方题分类
	studentQuestionInfoSelectDfQuestionInfo(params) {
		return request({
			url: "student/question/info/selectDfQuestionInfo",
			method: 'get',
			params
		})
	},
	//获取精选题目
	studentQuestionInfoSelectJxQuestionInfo(params) {
		return request({
			url: "student/question/info/selectJxQuestionInfo",
			method: 'get',
			params
		})

	},
	//获取最大成绩，平均成绩，预测成绩
	studentScoreInfoGetScoreInfoAll(params) {
		return request({
			url: "student/score/info/getScoreInfoAll",
			method: 'get',
			params
		})
	},
	//查询模拟考成绩列表
	studentScoreInfoList(params) {
		return request({
			url: "student/score/info/list",
			method: 'get',
			params
		})

	},
	//查询模拟考试题库
	studentQuestionInfoSelectTestQuestionInfo(params) {
		return request({
			url: "open-api/question/info/selectTestK14QuestionInfoList",
			method: 'get',
			params
		})
	},
	//查询题库
	studentQuestionInfoList(params) {
		return request({
			url: "student/question/info/list",
			method: 'get',
			params
		})
	},

	//新增模拟考成绩
	studentScoreInfo(data) {
		return request({
			url: 'student/score/info',
			method: "post",
			data
		})

	},
	//新增收藏
	studentQuestionCollection(data) {
		return request({
			url: "student/question/collection",
			method: "post",
			data
		})
	},
	//新增错题
	studentQuestionWrong(data) {
		return request({
			url: "student/question/wrong",
			method: "post",
			data
		})
	},
	//查询错题
	studentQuestionWrongList(data) {
		return request({
			url: "student/question/wrong/list",
			method: "get",
			data
		})

	},
	//查询收藏题
	studentQuestionCollectionList(data) {
		return request({
			url: "student/question/collection/list",
			method: "get",
			data
		})
	},
	//清空错题
	studentQuestionWrongCancelAll(data) {
		return request({
			url: "student/question/wrong/cancelAll",
			method: "DELETE",
			data
		})
	},
	//清空收藏题
	studentQuestionCollectionCancelAll(data) {
		return request({
			url: "student/question/collection/cancelAll",
			method: "DELETE",
			data
		})
	},
	//批量取题
	studentQuestionInfoGetQuestionInfoByIds(params) {
		return request({
			url: "student/question/info/getQuestionInfoByIds",
			method: "GET",
			params
		})

	},
	//根据用户获取错题数
	studentQuestionWrongWrongCountByUser(params) {
		return request({
			url: "student/question/wrong/wrongCountByUser",
			method: "get",
			params
		})

	},
	//根据用户获取收藏数
	studentQuestionCollectionCollectionCountByUser(params) {
		return request({
			url: "student/question/collection/collectionCountByUser",
			method: "get",
			params
		})
	},
	//根据用户获取错题列表
	studentQuestionWrongWrongByUser(params) {
		return request({
			url: "student/question/wrong/wrongByUser",
			method: "get",
			params
		})

	},
	//根据用户获取收藏列表
	studentQuestionCollectionCollectionByUser(params) {
		return request({
			url: "student/question/collection/collectionByUser",
			method: "get",
			params
		})

	},
	//查询秘密卷
	studentQuestionInfoSelectMiQuestionInfoList(params){
		return request({
			url: "student/question/info/selectMiQuestionInfoList",
			method: "get",
			params
		})

	}
}

export default exam